---
title: Read One Credential Issuer DID Document (standard domain)
description: Use the GET {{authPath}}/{{envID}}/did.json request to return the credential issuer Decentralized Identifiers (DID) document from the specified environment using the standard PingOne authorization domain.
component: pingone-api
page_id: pingone-api:credentials:credential-issuer-decentralized-identifiers/read-one-credential-issuer-did-document-standard-domain
canonical_url: https://developer.pingidentity.com/pingone-api/credentials/credential-issuer-decentralized-identifiers/read-one-credential-issuer-did-document-standard-domain.html
section_ids:
  example-request: Example Request
  example-response: Example Response
---

# Read One Credential Issuer DID Document (standard domain)

##

```none
GET {{authPath}}/{{envID}}/did.json
```

Use the `GET {{authPath}}/{{envID}}/did.json` request to return the credential issuer Decentralized Identifiers (DID) document from the specified environment using the standard PingOne authorization domain.

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{authPath}}/{{envID}}/did.json'
```

```csharp
var options = new RestClientOptions("{{authPath}}/{{envID}}/did.json")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{authPath}}/{{envID}}/did.json"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
GET /{{envID}}/did.json HTTP/1.1
Host: {{authPath}}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{authPath}}/{{envID}}/did.json")
  .method("GET", body)
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{authPath}}/{{envID}}/did.json",
  "method": "GET",
  "timeout": 0,
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{authPath}}/{{envID}}/did.json',
  'headers': {
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests

url = "{{authPath}}/{{envID}}/did.json"

payload = {}
headers = {}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{authPath}}/{{envID}}/did.json');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "net/http"

url = URI("{{authPath}}/{{envID}}/did.json")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```swift
var request = URLRequest(url: URL(string: "{{authPath}}/{{envID}}/did.json")!,timeoutInterval: Double.infinity)
request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "@context": [
        "https://www.w3.org/ns/did/v1"
    ],
    "id": "did:web:auth.pingone.com:abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
    "verificationMethod": [
        {
            "id": "#14f5bb0b-a3ca-40b1-9e07-230b73e83f4f",
            "type": "JsonWebKey2020",
            "controller": "did:web:auth.pingone.com:abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
            "publicKeyJwk": {
                "crv": "secp256k1",
                "kty": "EC",
                "x": "e775JL03cpQUTpkPd36RUVHOkwEMc5imB5ZFPMYcZ0I",
                "y": "wXcDKOgiD3kmOo-ljFqKudYo_hYjEDRUeWYAwtZFLM8"
            }
        }
    ],
    "authentication": [
        "did:web:auth.pingone.com:abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6#14f5bb0b-a3ca-40b1-9e07-230b73e83f4f"
    ],
    "assertionMethod": [
        "did:web:auth.pingone.com:abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6#14f5bb0b-a3ca-40b1-9e07-230b73e83f4f"
    ]
}
```
